# tower_job_wait – Wait for Ansible Tower job to finish

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Wait for Ansible Tower job to finish and report success or failure. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
job_id - / required |  | ID of the job to monitor.
max_interval - | Default: 30 | Maximum interval in seconds, to request an update from Tower.
min_interval - | Default: 1 | Minimum interval in seconds, to request an update from Tower.
timeout - |  | Maximum time in seconds to wait for a job to finish.
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.

validate_certs
boolean

Choices:
- no
- yes

Whether to allow insecure connections to Tower.
If `no`, SSL certificates will not be validated.
This should only be used on personally controlled sites using self-signed certificates.
aliases: tower_verify_ssl

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.
- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: Launch a job
      tower_job_launch:
        job_template: "My Job Template"
        register: job

    - name: Wait for job max 120s
      tower_job_wait:
        job_id: "{{ job.id }}"
        timeout: 120

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
elapsed float | success | total time in seconds the job took to run Sample: 10.879
finished string | success | timestamp of when the job finished running Sample: 2017-03-01T17:04:04.078782Z
id integer | success | job id that is being waited on Sample: 99
started string | success | timestamp of when the job started running Sample: 2017-03-01T17:03:53.200234Z
status string | success | current status of job Sample: successful

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Wayne Witzel III (@wwitzel3)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.